using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiWu.JinHuoFuKuanDan
{
    public partial class W_JHFKDHZTJ
    {
        public W_JHFKDHZTJ()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();

           // dw_temp.DataWindowObject = "da_cw_jhfkdhztj_list";
            dw_list.ClickHeaderSort = true;

            string curYhbh = A8ERP.AppService.GetUserID();
            this.SetParm("curYhbh", curYhbh);

            string curCdbh = this.FunctionID;
            this.SetParm("curCdbh", curCdbh);

            //dw_list.ClickHeaderSort = true;


            #region 调用保存格式
            string FormatPzh = Request["FormatPzh"];
            string FormatValue = Request["FormatValue"];
            if (FormatPzh != null && FormatPzh != "")
            {
                this.SetParm("format_pzh", FormatPzh);
                AppService.GetYwFormat(dw_list, FormatValue);
            }
            #endregion
            this.st_title.Text = "进货付款单汇总";
            if(this.Page!=null){
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowSimpleChoseBase", "/DangAn/Base/OpenWindowSimpleChoseBase.win.js?JSV=" + AppService.GetJSVesion());
            }
            string curJgtx = A8ERP.DBHelp.GetJGTXByBMAndYH(this.FunctionID, curYhbh);
            this.SetParm("jgtxlist", curJgtx);

        }
    }
}
